/* SOME ESSENTIAL CAKEPHP 3 STYLES COPIED FROM style.css WICH IS DEACTIVATED */
/** Notices and Errors **/
.cake-error,
.cake-debug,
.notice,
p.error,
p.notice {
	display: block;
	clear: both;
	background-repeat: repeat-x;
	margin-bottom: 18px;
	padding: 7px 14px;
	border-radius: 3px;
	box-shadow: 1px 2px 4px rgba(0, 0, 0, 0.24);
}

.cake-debug,
.notice,
p.notice {
	color: #000000;
	background: #ffcc00;
}

.cake-error,
p.error {
	color: #fff;
	background: #C3232D;
}

pre {
	background: none repeat scroll 0% 0% #FFF;
	box-shadow: 1px 2px 4px rgba(0, 0, 0, 0.24);
	margin: 15px 0px;
	color: rgba(0, 0, 0, 0.74);
	padding: 5px;
}

.cake-error .cake-stack-trace {
	margin-top: 10px;
}

.cake-stack-trace code {
	background: inherit;
	border: 0;
}

.cake-code-dump .code-highlight {
	display: block;
	background-color: #FFC600;
}

.cake-error a,
.cake-error a:hover {
	color: #fff;
	text-decoration: underline;
}

.checks {
	padding: 30px;
	color: #626262;
	background-color: #B7E3EC;
	border-radius: 3px;
	box-shadow: 1px 2px 4px rgba(0, 0, 0, 0.24);
	margin-bottom: 2em;
}

.checks h4 {
	margin-bottom: 1.5rem;
}

.checks hr {
	border: 0;
	height: 0;
	border-top: 1px solid rgba(0, 0, 0, 0.1);
	border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.checks .success,
.checks .problem {
	margin-left: 10px;
}

.checks .success:before,
.checks .problem:before {
	line-height: 0px;
	font-size: 28px;
	height: 12px;
	width: 12px;
	border-radius: 15px;
	text-align: center;
	vertical-align: middle;
	display: inline-block;
	position: relative;
	left: -11px;
}

.checks .success:before {
	content: "✓";
	color: green;
	margin-right: 9px;
}

.checks .problem:before {
	content: "✘";
	color: red;
	margin-right: 9px;
}

div.message {
	text-align: center;
	cursor: pointer;
	display: block;
	font-weight: normal;
	padding: 0 1.5rem 0 1.5rem;
	transition: height 300ms ease-out 0s;
	background-color: #a0d3e8;
	color: #626262;
	top: 15px;
	right: 15px;
	z-index: 999;
	overflow: hidden;
	height: auto;
	width: auto;
	line-height: 2.5em;
	border-radius: 5px;
	/* Fixed, was originally box-radius*/
}

div.message:before {
	line-height: 12px;
	font-size: 20px;
	height: 12px;
	width: 12px;
	border-radius: 50%;
	text-align: center;
	/*vertical-align: middle;*/
	display: inline-block;
	position: relative;
	left: -11px;
	background-color: #FFF;
	padding: 14px;
	content: "i";
	color: #a0d3e8;
}

div.message.error {
	background-color: #C3232D;
	color: #FFF;
}

div.message.error:before {
	line-height: 10px;
	color: #C3232D;
	content: "x";
}

div.message.hidden {
	height: 0;
}

/* ======================================== */
/* ======================================== */
/* S2P STYLES */
/* ======================================== */
/* ======================================== */

html {
	position: relative;
	min-height: 100%;
}


#login-logo {
	display: block;
	margin: 0 auto;
	width: 200px;
}

#login-container {
	margin: 64px auto;
	max-width: 400px;
	padding: 24px;
	background-color: rgb(216, 223, 255);
	border-radius: 12px;
}

#login-container * {
	margin-bottom: 8px;
}

#login-container form * {
	margin-bottom: 8px;
}

#login-container form:last-child {
	margin-bottom: 0;
}

a.safebutton {
	display: inline-block;
	padding: 16px 20px;
	margin: 4px 8px;

	background-color: #686868;

	color: white;

	border-radius: 8px;

	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	font-size: 80%;
	text-decoration: none;
	text-transform: uppercase;

	line-height: 1.2em;

	box-shadow: 0 4px 8px 0 #303030;

	transition: background-color 100ms;
}

a.safebutton:hover {
	background-color: #888888;
}

a.safebutton.blue {
	background-color: hsl(209, 84%, 46%);
}

a.safebutton.blue:hover {
	background-color: hsl(207, 77%, 52%);
}

a.safebutton.green {
	background-color: hsl(130, 61%, 35%);
}

a.safebutton.green:hover {
	background-color: hsl(130, 54%, 41%);
}

.tablebutton {
	display: inline-block;

	width: 24px;
	height: 24px;

	background-size: contain;
	background-repeat: no-repeat;

	cursor: pointer;
}

.tablebutton:hover {
	background-color: #a7a5a554;
}

.tablebutton.settings {
	background-image: url("/img/settings.png");
}

.tablebutton.addinfo {
	background-image: url("/img/addinfo.png");
}

.tablebutton.check {
	background-image: url("/img/check.png");
}

.tablebutton.manager {
	background-image: url("/img/manager_w.png");
}

.tablebutton.add {
	background-image: url("/img/add_book.png");
	margin-right: 4px;
}

.tablebutton.edit {
	background-image: url("/img/edit_w.png");
}

label {
	font-weight: bold;
}

/* footer {
    position: relative;
    
} */

/* table {
    border: solid 2px white;
    color: white;
}

tr {
    background-color: #465296;
}

tr:nth-child(even) {
    background-color: #2a295e;
}

td,
th {
    padding: 8px 12px;
    text-align: left;
} */

.context-menu {
	position: absolute;
	border: solid 1px rgb(94, 94, 94);
}

.context-menu ul {
	list-style-type: none;
	padding: 0;
	margin: 0;
}

.context-menu a {
	display: block;
	width: 100%;
	text-decoration: none;
	color: rgb(94, 94, 94);
	padding: 8px;
	border-bottom: solid 1px rgb(94, 94, 94);
	background-color: white;
	box-sizing: border-box;
}

.context-menu a:hover {
	background-color: rgb(233, 233, 233);
}

p {
	line-height: 150%;
}

#link {
	display: inline-block;
	position: relative;
	height: 25px;
	padding: 1px;
}

#img {
	vertical-align: middle;
}

#a {
	display: inline-block;
	vertical-align: middle;
	text-decoration: none;
}

#book.publish .alert {
	border: solid 1px #ffd45f;
	background-color: #fff9d9;
	padding: 4px;
	border-radius: 4px;
	color: #b38300;
	margin: 4px;
}

#book.publish .success-alert {
	border: solid 1px #1c86c4;
	background-color: #afd2ff;
	padding: 4px;
	border-radius: 4px;
	color: #103f96;
}

#book.publish button {
	padding: 4px 8px;
	animation: button-glowing 2000ms infinite;
	margin-bottom: 16px;
}

#book.publish .checkbox {
	display: block;
	margin: 4px;
}

#book.publish .checkbox input {
	width: auto;
	margin: 0 4px;
	vertical-align: baseline;
}

@keyframes button-glowing {
	0% {
		box-shadow: 0 0 -10px #ffed95;
	}

	40% {
		box-shadow: 0 0 15px #ffed95;
	}

	60% {
		box-shadow: 0 0 15px #ffed95;
	}

	100% {
		box-shadow: 0 0 -10px #ffed95;
	}
}

/* ======================================== */

/* #flash_save { animation: css 1s 3s forwards; } */
/* @keyframes css  { to { opacity: 0; } } */

th.search {
	padding: 0px !important;
	text-align: center;
}

.searchInput {
	background-image: url('/img/search.png');
	background-size: 30px;
	/* background-color: #2a295e; */
	/* background-color: #074b83; */
	background-color: #f1f1f1;
	background-position: 6px 6px;
	background-repeat: no-repeat;
	width: 100%;
	box-sizing: border-box;
	font-size: 16px;
	/* color: azure; */
	padding: 10px 20px 10px 40px;
	border: 0px solid #ddd;
	margin-bottom: 0px;
	font-weight: normal !important;
	z-index: 0;
}

.top-menu {
	top: 52px;
}